Package com.xebialabs.xlrelease.risk.configuration

## Class RiskGlobalThresholds

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.risk.configuration.RiskGlobalThresholds

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false,
                description="Configurable thresholds to determine how the risk scores will be calculated.")
      public class RiskGlobalThresholds
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `RISK_GLOBAL_THRESHOLD_SETTINGS_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RiskGlobalThresholds()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAtRiskFrom()` |
    `int` | `getAttentionNeededFrom()` |
    `void` | `setAtRiskFrom​(int atRiskFrom)` |
    `void` | `setAttentionNeededFrom​(int attentionNeededFrom)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RISK_GLOBAL_THRESHOLD_SETTINGS_ID

          public static final java.lang.String RISK_GLOBAL_THRESHOLD_SETTINGS_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RiskGlobalThresholds

          public RiskGlobalThresholds()

  - ### Method Detail

    - #### getAtRiskFrom

          public int getAtRiskFrom()

    - #### setAtRiskFrom

          public void setAtRiskFrom​(int atRiskFrom)

    - #### getAttentionNeededFrom

          public int getAttentionNeededFrom()

    - #### setAttentionNeededFrom

          public void setAttentionNeededFrom​(int attentionNeededFrom)